import request from '@/utils/request'




// 专业库-所有专业
export function allMajor(params) {
  return request({
    url: '/front/major/getAllMajor',
    method: 'get',
    params:params
  })
}

// 专业库-专业详情--专业概况
export function majorOverview(params) {
  return request({
    url: '/front/major/getMajorOverviewByCode',
    method: 'get',
    params:params
  })
}

// 专业库-专业详情--就业前景
export function careerProspects(params) {
  return request({
    url: '/front/major/getMajorCareerProspectsByCode',
    method: 'get',
    params:params
  })
}

// 专业库-专业大类
export function getProfesslibData(params) {
  return request({
    url: '/front/marjors/list',
    method: 'get',
    params:params
  })
}

// 专业库详情
export function getProfesslibDetails(params) {
  return request({
    url: 'front/marjors/detail',
    method: 'get',
    params:params
  })
}
